Name: fortune-cs
Version: 1.3
Release: 1
BuildArchitectures: noarch
Source:  ftp://ftp.phil.muni.cz/pub/local/fortune/%{name}-%{version}.tar.gz
Source1: x-fortune-cs.sh
Source2: x-fortune-cs.csh
Icon:	smile35x34.gif
Url:	ftp://ftp.phil.muni.cz/pub/local/fortune/
Copyright: GPL
Group: Amusements/Games
Vendor: Zdenek Pytela
#Vendor: Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
Packager: Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
#Packager: Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
Distribution: Red Hat Contrib|Net
Requires: fortune-mod >= 1.0-5
BuildRoot: /tmp/fortune-root
Summary: Database of the Czech and Slovak fortune cookies
Summary(cs): esk a slovensk fortunes
%description
This is a database of the Czech and Slovak cookies for the fortune(6)
program. It requires fortune-mod RPM installed.

%description -l cs
Databze eskch a slovenskch cookies pro program fortune(6).
Ke sv funkci potebuje RPM balek fortune-mod.

%prep
%setup

#set   # uncomment for debugging purposes

%build

%install
PREFIX=$RPM_BUILD_ROOT sh ./install.sh
install -d $RPM_BUILD_ROOT/etc/profile.d
install -m755 $RPM_SOURCE_DIR/x-fortune-cs.sh \
              $RPM_BUILD_ROOT/etc/profile.d/x-fortune-cs.sh
install -m755 $RPM_SOURCE_DIR/x-fortune-cs.csh \
              $RPM_BUILD_ROOT/etc/profile.d/x-fortune-cs.csh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc HISTORIE LICENSE README fortune-cs.lsm
/usr/share/games/fortunes/cs
%config /etc/profile.d/x-fortune-cs.sh
%config /etc/profile.d/x-fortune-cs.csh

%post
if [ -r /etc/csh.cshrc -a ! -r /etc/csh.login ]
then
  mv /etc/csh.cshrc /etc/csh.login
  echo %{name}: You have probably broken version of /etc/csh.* files 1>&2
  echo %{name}: /etc/csh.cshrc moved to /etc/csh.login 1>&2
fi

%changelog
* Fri Mar 31 2000 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- updates for RH 6.2 (version 1.3)
- unifying the if's in the script

* Sun Oct  3 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- updated for 6.1cz (version 1.2.3.3)

* Sun Sep 26 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- updated, deleted postun script

* Fri Aug 27 1999 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- update to version 1.2.2, pgp signed

* Thu Jul 15 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- cosmetic changes in spec file

* Wed Jun 30 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- scripts in /etc/profile.d/ can't have exit command in 
  their body !!! (kdm, xdm, ...)

* Tue May 25 1999 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- update to 1.2 version
- minor changes and typo corrections in scripts

* Fri May 21 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- scripts in /etc/profile.d renamed to be interpretted AFTER lang.{,c}sh
- added support for ~/.fortune

* Wed May 19 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- better handling /etc/profile.d & csh bug
- minor fixes in /etc/profile.d/fortune-cs.{,c}sh
- group changed to match with fortune-mod package

* Thu Apr 29 1999 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- update to 1.1.9b8 version
- light simplification, test for dumb terminals
- added .lsm entry

* Tue Mar  4 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- RH bug (fortune-cs.csh can't be in /etc/profile.d)

* Tue Mar  2 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- fortunes updated to the 1.1.8b2 release
- added czech desription
- added test to fortune.{sh,csh}
- 1.1 release date fix
- file attr fix (two times, but now I know how to do it!)
- packager changed

* Fri Nov 20 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- added RHCN info. RHCN is finally up!!!

* Tue Oct 13 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to the 1.1 release
- deleted the RHCN info - it still seems RHCN is dead.
- directory cs-il2 renamed to cs (as ISO 8859-2 is the default).

* Thu Apr  2 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to the official 1.0 release
- made the package buildrooted
- made the spec file using %attr
- changed the Packager and Distribution for the RHCN.

